Package org.bgerp.model.process

# Class ProcessCreateType

java.lang.Object
org.bgerp.model.base.tree.TreeItem<Integer,ProcessCreateType>
org.bgerp.model.process.ProcessCreateType

All Implemented Interfaces:
  `Id<Integer>`, `IdTitle<Integer>`, `Title`, `TreeItem<Integer,ProcessCreateType>`

public class ProcessCreateType extends TreeItem<Integer,ProcessCreateType>
Process creation type

- ## Field Summary

  ### Fields inherited from class org.bgerp.model.base.tree.TreeItem

  `children, id, parentId, title`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ProcessCreateType(ProcessType type, String area)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `check()`
  `String`
  `getCopyParams()`
  `String`
  `getSelectedClass()`
  `ProcessType`
  `getType()`
  `protected boolean`
  `isRootNode()`
  `boolean`
  `openCreated()`
  `String`
  `toString()`
  `static ProcessCreateType`
  `treeRoot(DynActionForm form, String area, Set<Integer> ids)`
  Recursive copy of tree of process types, allowed for creation, filtered by 'create.in' configuration and process isolation

  ### Methods inherited from class org.bgerp.model.base.tree.TreeItem

  `addChild, getAllChildIds, getById, getChild, getChildCount, getChildIds, getChildren, getIcon, getId, getParentId, getTextStyle, getTitle, isInPathTo, isRootNodeWithIntegerId, setChildren, setId, setParentId, setTitle`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ProcessCreateType

    public ProcessCreateType(ProcessType type, String area)

- ## Method Details

  - ### treeRoot

    public static ProcessCreateType treeRoot(DynActionForm form, String area, Set<Integer> ids)
    Recursive copy of tree of process types, allowed for creation, filtered by 'create.in' configuration and process isolation
    Parameters:
      `form` - current request form user and permission
      `area` - creation area
      `ids` - optional additional restricting process IDs
    Returns:

  - ### getType

    public ProcessType getType()

  - ### getSelectedClass

    public String getSelectedClass()
    Returns:
      `treeItemSelected` if the item or any of children is selected

  - ### check

    public boolean check()

  - ### getCopyParams

    public String getCopyParams()

  - ### openCreated

    public boolean openCreated()

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### isRootNode

    protected boolean isRootNode()
    Specified by:
      `isRootNode` in class `TreeItem<Integer,ProcessCreateType>`